--[[
Description: This plugin is part of the "Titan Panel [Professions] Multi" addon. It shows your Archaeology skill level.
Site: http://www.curse.com/addons/wow/titan-panel-professions-multi
Author: Canettieri
Special Thanks to Eliote.
--]]

local ADDON_NAME, L = ...;
local version = GetAddOnMetadata(ADDON_NAME, "Version")
local ID = "ARCM"
local ARCM, prevARCM = 0.0, -2
local ARCMmax, prevARCMmax = 0, 0
local startskill
-----------------------------------------------
local function OnClick(self, button)
	if (button == "LeftButton") then
		local prof = L["archaeology"]
		CastSpellByName(prof)
	end
end
-----------------------------------------------
local function OnUpdate(self, id)
	local prof1, prof2, archaeology, fishing, cooking, firstAid = GetProfessions();

	if archaeology ~= nil then
		local name, _, skillLevel, maxSkillLevel, _, _, _, _ = GetProfessionInfo(archaeology)
		ARCM = skillLevel
		ARCMmax = maxSkillLevel
		if not startskill then startskill = skillLevel end

		if ARCM == prevARCM and prevARCMmax == ARCMmax then
			return
		end

		prevARCMmax = ARCMmax
		prevARCM  = ARCM

		TitanPanelButton_UpdateButton(id)
		return true
	end
end
-----------------------------------------------
local function GetButtonText(self, id)
	local ARCMtext
	local HideText = "" -- Texto HideMax
	if not TitanGetVar(ID, "HideMax") then
		HideText = "|r/|cFFFF2e2e"..ARCMmax
	end

	local BarBalanceText = ""
	if ARCMmax ~= 0 and (ARCM - startskill) > 0 and TitanGetVar(ID, "ShowBarBalance") then
		BarBalanceText = " |cFF69FF69["..(ARCM - startskill).."]"
	end

	if ARCM == 700 then
		ARCMtext = "|cFF69FF69"..L["maximum"]
	elseif ARCMmax == 0 then
		ARCMtext = "|cFFFF2e2e"..L["noprof"]
	elseif ARCM == ARCMmax then
		ARCMtext = "|cFFB4EEB4"..L["gotrainer"]
	else
		ARCMtext = "|cFFFFFFFF"..ARCM..HideText..BarBalanceText
	end

	return L["archaeology"]..": ", ARCMtext
end
-----------------------------------------------
local function GetTooltipText(self, id)

	local ColorValueAccount -- Cores da conta de valor
	if ARCMmax == 0 then
		ColorValueAccount = ""
	elseif ARCM == 700 then
		ColorValueAccount = ""
	elseif (ARCM - startskill) == 0 then
		ColorValueAccount = "\r"..L["session"]..TitanUtils_GetHighlightText("0")
	elseif (ARCM - startskill) > 0 then
		ColorValueAccount = "\r"..L["session"].."|cFF69FF69"..(ARCM - startskill)
	end

	local ValueText = "" -- Difere com e sem profissão
	if ARCM == 0 then
		ValueText = L["noskill"]
	else
		ValueText = L["tooltipDescription"]..L["archaeology"].."."..ColorValueAccount
	end

	return ValueText
end
-----------------------------------------------
L.Elib({
	id = ID,
	name = "Titan|cFF05a7ab "..L["archaeology"].."|r".." Multi",
	tooltip = L["archaeology"],
	icon = "Interface\\Icons\\Trade_archaeology.blp",
	category = "Profession",
	version = version,
	onUpdate = OnUpdate,
	onClick = OnClick,
	getButtonText = GetButtonText,
	getTooltipText = GetTooltipText,
	prepareMenu = L.PrepareProfessionsMenu,
	savedVariables = {
		ShowIcon = 1,
		DisplayOnRightSide = false,
		HideMax = false,
		ShowBarBalance = false,
		ShowLabelText = false,
	}
})
