--[[
Description: This plugin is part of the "Titan Panel [Professions] Multi" addon. It shows your Herbalism skill level.
Site: http://www.curse.com/addons/wow/titan-panel-professions-multi
Author: Canettieri
Special Thanks to Eliote.
--]]

local ADDON_NAME, L = ...;
local version = GetAddOnMetadata(ADDON_NAME, "Version")
local ID = "HERM"
local HERM, prevHERM = 0.0, -2
local HERMmax, preHERMmax = 0, 0
local startskill
-----------------------------------------------
local function OnUpdate(self, id)
	local prof1, prof2 = GetProfessions();

	local skillLevel = 0
	local maxSkillLevel = 0

	if prof1 then
		local name, _, level, maxLevel = GetProfessionInfo(prof1)
		if name == L["herbalism"] then
			skillLevel = level
			maxSkillLevel = maxLevel
		elseif prof2 then
			name, _, level, maxLevel = GetProfessionInfo(prof2)
			if name == L["herbalism"] then
				skillLevel = level
				maxSkillLevel = maxLevel
			end
		end
	end

	HERM = skillLevel
	HERMmax = maxSkillLevel
	if not startskill then startskill = skillLevel end

	if HERM == prevHERM and HERMmax == preHERMmax then
		return
	end

	preHERMmax = HERMmax
	prevHERM = HERM

	TitanPanelButton_UpdateButton(id)
	return true
end
-----------------------------------------------
local function GetButtonText(self, id)
	local HERMtext
	local HideText = "" -- Texto HideMax
	if not TitanGetVar(ID, "HideMax") then
		HideText = "|r/|cFFFF2e2e"..HERMmax
	end

	local BarBalanceText = ""
	if HERMmax ~= 0 and (HERM - startskill) > 0 and TitanGetVar(ID, "ShowBarBalance") then
		BarBalanceText = " |cFF69FF69["..(HERM - startskill).."]"
	end

	if HERM == 700 then
		HERMtext = "|cFF69FF69"..L["maximum"]
	elseif HERMmax == 0 then
		HERMtext = "|cFFFF2e2e"..L["noprof"]
	elseif HERM == HERMmax then
		HERMtext = "|cFFB4EEB4"..L["gotrainer"]
	else
		HERMtext = "|cFFFFFFFF"..HERM..HideText..BarBalanceText
	end

	return L["herbalism"]..": ", HERMtext
end
-----------------------------------------------
local function GetTooltipText(self, id)
	local ColorValueAccount -- Cores da conta de valor
	if not HERM then
		ColorValueAccount = ""
	elseif HERM == 700 then
		ColorValueAccount = ""
	elseif (HERM - startskill) == 0 then
		ColorValueAccount = "\r"..L["session"]..TitanUtils_GetHighlightText("0")
	elseif (HERM - startskill) > 0 then
		ColorValueAccount = "\r"..L["session"].."|cFF69FF69"..(HERM - startskill)
	end

	local ValueText = "" -- Difere com e sem profissão
	if HERM == 0 then
		ValueText = L["noskill"]
	else
		ValueText = L["tooltipDescriptionShort"]..L["herbalism"].."."..ColorValueAccount
	end

	return ValueText
end
-----------------------------------------------
L.Elib({
	id = ID,
	name = "Titan|c0070DE5f "..L["herbalism"].."|r".." Multi",
	tooltip = L["herbalism"],
	icon = "Interface\\Icons\\Trade_herbalism.blp",
	category = "Profession",
	version = version,
	onUpdate = OnUpdate,
	getButtonText = GetButtonText,
	getTooltipText = GetTooltipText,
	prepareMenu = L.PrepareProfessionsMenu,
	savedVariables = {
		ShowIcon = 1,
		DisplayOnRightSide = false,
		HideMax = false,
		ShowBarBalance = false,
		ShowLabelText = false,
	}
})
